package com.dcsoft.system.vehicle.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 车辆授权对象 car_park_record
 *
 * @author dcsoft
 * @date 2023-12-29
 */
public class CarParkRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 设备id */

    private Long equipmentId;

    /** 车场id */

    private Long parkId;

    /** 车辆id */
    @Excel(name = "车辆")
    private Long customerId;

    /** 是否下发（0未下发1已下发） */
    @Excel(name = "是否下发", readConverterExp = "0=未下发1已下发")
    private String sync;

    @Excel(name = "设备")
    private String equipmentName;

    /** 车场id */
    @Excel(name = "车场")
    private String parkName;

    /** 车辆id */
    @Excel(name = "车牌号")
    private String customerName;

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getParkName() {
        return parkName;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEquipmentId(Long equipmentId)
    {
        this.equipmentId = equipmentId;
    }

    public Long getEquipmentId()
    {
        return equipmentId;
    }
    public void setParkId(Long parkId)
    {
        this.parkId = parkId;
    }

    public Long getParkId()
    {
        return parkId;
    }
    public void setCustomerId(Long customerId)
    {
        this.customerId = customerId;
    }

    public Long getCustomerId()
    {
        return customerId;
    }
    public void setSync(String sync)
    {
        this.sync = sync;
    }

    public String getSync()
    {
        return sync;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("equipmentId", getEquipmentId())
            .append("parkId", getParkId())
            .append("customerId", getCustomerId())
            .append("sync", getSync())
            .toString();
    }
}
